Introducción a Selenium + Java

viernes, 15 de septiembre de 2017

Les dejo este video de introducción a Selenium con Java y Maven.


Instalar APK en Linux, Windows o Mac

domingo, 5 de abril de 2015

Les dejo este video donde se muestra como ejecutar una aplicación de android en el navegador Chrome con la app ARC Welder.

Instalar PyMaxe en Ubuntu 14.04

martes, 9 de septiembre de 2014

Intentando descargar un poco de música buscaba una alternativa a Songr en Linux, encontré varias y la que me atrajo fue PyMaxe, que es un programa hecho con Python y GTK que sirve para descargar desde diversos sitios. Pero al intentarn instalarlo me encontré con problemas de dependencias. Investigando un poco me entero de que el proyecto ffmpeg ha cambiado y que ahora ubuntu usa un fork llamado libav (Más detalles aquí)

Bueno, para poder ejecutar pymaxe debemos instalar ffmpeg y gstreamer.

sudo add-apt-repository ppa:jon-severinsson/ffmpeg
sudo apt-get update
sudo apt-get install ffmpeg
sudo apt-get install libav-tools
sudo add-apt-repository ppa:mc3man/trusty-media
sudo apt-get update
sudo apt-get install gstreamer0.10-ffmpeg

Y además descargar una versión de pymaxe que hace referencia a libavcodec55 de aquí http://adf.ly/pJ6Ji

Y ahora si, ya puedo descargar musica con Pymaxe



Fuente: http://www.programepc.com/install-on-ubuntu-14-04/

Instalar Ionic Framework en (X)Ubuntu 14.04

miércoles, 20 de agosto de 2014

Pre-requisito: Necesitamos Oracle Java instalado, para eso yo lo instalo de los repositorios de webupd8:
http://www.webupd8.org/2012/01/install-oracle-java-jdk-7-in-ubuntu-via.html

Primero instalamos Node.js

sudo apt-get update
sudo apt-get install nodejs
sudo apt-get install npm
sudo apt-get install nodejs-legacy
sudo apt-get install git
Después instalamos apache cordova

sudo npm install -g cordova
Ahora, para desarrollar en android necesitamos el SDK, que lo podemos descargar de http://developer.android.com/sdk/index.html , yo he descargado la versión stand alone ya que lo pienso usar en una instalación ya hecha de Eclipse.

Una vez descargado lo descomprimimos en donde queramos. Ya que el SDK solo funciona en modo 32 bits necesitamos las bibliotecas correctas si es que estamos en una instalación de Ubuntu de 64 bits.
sudo dpkg --add-architecture i386
sudo apt-get update
sudo apt-get install libncurses5:i386 libstdc++6:i386 zlib1g:i386
Una vez descomprimido el SDK nos vamos a la carpeta ~/android-sdk-linux/tools/ y ejecutamos el comando
./android sdk
Que nos mostrará la ventana de paquetes con las herramientas del SDK que queramos instalar dependiendo de la versión para la que queramos desarrollar. Para más info sobre estos paquetes pueden consultar http://developer.android.com/sdk/installing/adding-packages.html. Después de descargados e instalados (puede tardar mucho) ya podremos hacer uso del SDK de Android.

Para que la instalación de cordova funcione con las herramientas del SDK de android necesitamos modificar nuestro archivo ~/.bashrc añadiendo la siguiente linea al final:

export PATH=${PATH}:/"ruta donde descomprimimos"/android-sdk-linux/platform-tools:/"ruta donde descomprimimos"/android-sdk-linux/tools
Y ejecutamos el siguiente comando para que el sistema tome los cambios:
source ~/.bashrc

Después instalamos Ionic con el siguiente comando:
sudo npm install -g ionic
Ahora creamos un proyecto de prueba para ver que todo funciona. Nos vamos a la carpeta donde queremos generar el código y ejecutamos:

ionic start todo blank
cd todo
Y dentro de la carpeta del proyecto añadimos la plataforma Android y compilamos.
ionic platform android
ionic build android
Debido a que el emulador del android SDK es muy lento no se recomienda su uso con Ionic, se recomienda usar Genymotion. Así cuando usen el comando "ionic run" y tengan abierta la maquina virtual de Genymotions, su aplicación se ejecutará en la máquina virtual.

Aquí les dejo una screenshot de mi proyecto en blanco corriendo en una máquina de Genymotion.

Mixlr en Linux

miércoles, 28 de septiembre de 2011


Vamos al grano, veamos como usar mixlr con wine, y no solo transmitir música desde nuestro reproductor, también usaremos el micrófono.

Prerequisitos:

  • wine
  • wineasio, pueden ver como instalarlo en este blog, solo dejen seleccionado el controlador ALSA en wine
  • Plugin de pulseaudio para jack (sudo apt-get install pulseaudio-module-jack)
  • JackEQ

  1. Primero instalamos mixlr como lo haríamos normalmente en windows, gracias a wine.
  2. Iniciamos jack-control
  3. Iniciamos los módulos de pulse-audio para jack (ver el .sh al final del post)
  4. Enrutamos la salida de master de "JackEQ" a la entrada de "PulseAudio Jack Source"
  5. Enrutamos la salida de "PulseAudio Jack Sink" y "System" a las entradas de algun canal de JackEQ (podemos usar hasta 4)
  6. Enrutamos la salida de master de "JackEQ" a la entrada de "System" para poder monitorear el audio con nuestros audífonos
  7. Iniciamos mixlr y seleccionamos "default" como la entrada de audio
  8. Fin :P
En el video podemos ver la configuración que uso para transmitir, pueden escuchar la prueba que hice en el video aquí http://mixlr.com/gamerkore/prueba-de-mixlr-en-linux



El archivo sh contiene:
#!/bin/bash
pacmd suspend true
pactl load-module module-jack-sink channels=2
pactl load-module module-jack-source channels=2
pacmd set-default-sink jack_out
pacmd set-default-source jack_in


Si no quieren tener que ejecutar el .sh cada que usan jack con pulseaudio pueden ejecutar automáticamente el .sh entrando en jack-qt a "setup...", pestaña "opciones", y en el campo "Script a ejecutar luego de iniciar" ponemos la ruta donde tenemos el .sh

Reinstalar Driver Wifi Dell Vostro 1720

viernes, 26 de agosto de 2011

Acabo de instalar Ubuntu 10.10 en mi laptop Vostro 1720 y desde el live cd pude activar los drivers de la tarjeta wireless, pero después de instalar al disco duro los drivers no se activaron, y en el archivo jockey.log me aparecia un error:

2011-08-26 09:38:25,329 WARNING: /sys/module/wl/drivers does not exist, cannot rebind wl driver
2011-08-26 09:38:25,357 DEBUG: BroadcomWLHandler enabled(): kmod disabled, bcm43xx: blacklisted, b43: blacklisted, b43legacy: blacklisted
2011-08-26 09:38:30,652 DEBUG: BroadcomWLHandler enabled(): kmod disabled, bcm43xx: blacklisted, b43: blacklisted, b43legacy: blacklisted
2011-08-26 09:38:30,689 DEBUG: BroadcomWLHandler enabled(): kmod disabled, bcm43xx: blacklisted, b43: blacklisted, b43legacy: blacklisted
2011-08-26 09:38:30,755 DEBUG: BroadcomWLHandler enabled(): kmod disabled, bcm43xx: blacklisted, b43: blacklisted, b43legacy: blacklisted
2011-08-26 09:38:33,462 DEBUG: Shutting down
Afortunadamente, buscando en ubuntu forums encontre la solución , solo basta ejecutar los siguientes comandos y reiniciar.

sudo apt-get update
sudo apt-get --reinstall install bcmwl-kernel-source

ACTUALIZACIÓN Mayo de 2013:
Acabo de instalar Ubuntu Studio 13.04 y ya no me funcionó esta solución, ahora es :

sudo apt-get install b43fwcutter
sudo apt-get install firmware-b43-lpphy-installer
Luego probamos que funciona la tarjeta:
sudo modprobe b43
Esperamos unos segundos y debería activarse la opción en el network manager. Si al reiniciar tu máquina necesitas activarla de nuevo solo agregala para que se inicie sola con:
sudo su
echo b43 >> /etc/modules

Pygame en Pydev (marca error)

miércoles, 13 de julio de 2011

Si acabas de instalar pygame y al hacer el "import pygame" en tu script de python te marca un error el editor Pydev (como en la imagen), lo más seguro es que sea porque no tienes actualizado el indice de librerías en Pydev.

Lo único que hay que hacer es reasignar el intérprete de python en Pydev.

Le damos en "remove" y después en "Auto Config" y con eso ya no debería presentarse el error en el editor.